GET
List client settlement transfers
Lists all settlement transfers for your OES client account.
Requires access token scope: settlement_network_read
Path Params
-
enterpriseIdstring required
Query Params
-
pageNumberstring integerThe page number (integer) you wish to fetch. When provided, the API will skip pageSize * pageNumber records. Page numbers are zero-based, so the first page is 0. If not provided, defaults to 0. -
pageSizestringThe page size (integer) you wish to fetch. When provided, the API will return at most pageSize records per page. If not provided, a default page size defined by the server will be used. -
currenciesarray of stringsOptional array of currencies. If provided will only return settlement transfers with those currencies. -
initiatedByarray of stringsOptional array of user ids. If provided will only return settlement transfers for settlements initiated by those users. -
partnerIdsarray of stringsOptional array of partner ids. If provided will only return settlement transfers for settlements initiated by those partners. -
settlementIdsarray of stringsOptional array of settlement ids. If provided will only return settlement transfers for settlements with those ids. -
settlementStatusesarray of string enumsOptional array of settlement statuses. If provided will only return settlement transfers for settlements in those statuses.failedcompletedpendingrejected -
settlementTransferStatusesarray of string enumsOptional array of settlement transfer statuses. If provided will only return settlement transfers with those statuses.pendingpending_onchainonchain_initiatedonchain_failedcompletedfailedrejecteddisputedpending_settlement_assignment -
settlementUpdatedBeforestring date-timeoptional date start range filter for updatedAt (ISO 8601 Date). If provided will only return settlement transfers for settlements updated before the provided date. -
settlementUpdatedOnOrAfterstring date-timeoptional date start range filter for updatedAt (ISO 8601 Date). If provided will only return settlement transfers for settlements updated on or after the provided date. -
sortFieldstring enumupdatedAt -
sortDirectionstring enumASCDESC
Responses
200
OK
Response Body
object
-
settlementTransfersarray of objects requiredsettlementTransfers object
-
sourceTradingAccountIdstringThe go account id of the source party. -
sourceNetworkAccountIdstringThe network account id of the source party. -
destinationTradingAccountIdstringThe go account id of the destination party. -
destinationNetworkAccountIdstringThe network account id of the destination party (if the destination party is a connection). -
currencystring requiredThe currency involved in the settlement movement. -
quantitystring requiredThe amount of currency being transferred in the settlement transfer. This is a non-zero value represented as a string. If the value is positive, that means funds were moved from the source account to the destination account. If the value is negative, that means funds were moved from the destination account to the source account. -
txIdsarray of strings required -
statusstring enum requiredThe status of the settlement transfer. Possible values and implications are:
- pending: The transfer is pending and has not yet been processed.
- pending_onchain: The transfer is pending on-chain movement (only relevant to on-chain settlements).
- onchain_initiated: The transfer has been initiated on-chain (only relevant to on-chain settlements).
- onchain_failed: The on-chain transfer has failed (only relevant to on-chain settlements).
- completed: The transfer has been completed successfully.
- failed: The transfer has failed.
- rejected: The transfer has been rejected.
- disputed: The transfer is disputed.
pendingpending_onchainonchain_initiatedonchain_failedcompletedfailedrejecteddisputedpending_settlement_assignment -
usdValuestring or number nullable requiredThe USD value of the settlement transfer in cents. This is a non-negative value represented as a string. -
settlementIdstring requiredThe unique identifier of the settlement the settlement transfer is associated with. This is a UUID that uniquely identifies the settlement. -
disputeClosureIdstringThe unique identifier of the dispute closure the settlement transfer was created from. This is a UUID that uniquely identifies dispute closure if the transfer was created as a result of closing a dispute. -
idstring requiredThe unique identifier of the settlement transfer. This is a UUID that uniquely identifies the settlement transfer record. -
createdAtstring date-time requiredThe date and time when the settlement transfer was created. Represented as an ISO 8601 formatted date string. -
updatedAtstring date-time requiredThe date and time when the settlement transfer was last updated. Represented as an ISO 8601 formatted date string. -
settlementStatusstring enum requiredThe status of the settlement the settlement transfer is associated with. Possible values and implications are:
- pending: The settlement is pending and has not yet been processed.
- failed: The settlement has failed to process. This is a non-terminal state and should be retried.
- completed: The settlement has been completed successfully.
- rejected: The settlement has been rejected by a BitGo admin (only relevant to on-chain settlements).
failedcompletedpendingrejected -
settlementNotesstringOptional notes for the settlement -
sourceClientNamestringThe client name of the source party. Will be obfuscated if the source party is not the calling client. -
destinationClientNamestringThe client name of the destination party. Will be obfuscated if the destination party is not the calling client. -
sourceConnectionNamestringThe name of the source connection (if the source party is a connection). Will be obfuscated if the source party is not the calling client. -
destinationConnectionNamestringThe name of the destination connection (if the destination party is a connection). Will be obfuscated if the destination party is not the calling client.
-
400
Bad Request
No response body
401
Unauthorized
Response Body
object
-
errorstring required
403
Forbidden
Response Body
object
-
errorstring required
404
Not Found
Response Body
object
-
errorstring required
500
Internal Server Error
Response Body
object
-
errorstring required